List custom property definitions
List custom property definitions owned by your organization.
Query Parameters
- Type: stringcursormin length:1
Use page.nextCursor from the previous response. Omit for the first page. Keep the same filters while paging.
- Type: integerlimitmin:1max:100
Maximum number of records to return on this page.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for get/external/v2/custom-properties
curl 'https://sales-api.artemis.solar/external/v2/custom-properties?limit=25' \
--header 'x-api-key: YOUR_SECRET_TOKEN'
Final page of custom property definitions
{
"data": [
{
"id": "6c1f0c3e-2d8a-4b7e-9c11-8a4e1d2b7f90",
"name": "Roof Color",
"fieldType": "text",
"defaultValue": "Charcoal",
"description": "Exterior roof color selected by the homeowner",
"customFieldCategoryId": null,
"projectStageId": null,
"ctaLabel": null,
"linkUrl": null,
"order": 1,
"isRequired": false,
"customActionsOptions": null,
"linkedEquipmentCategories": [],
"createdAt": "2026-09-05T12:00:00.000Z",
"updatedAt": "2026-09-05T12:00:00.000Z"
}
],
"page": {
"nextCursor": null
}
}
